## org.eclipse.xsd.ecore.importer.ui
Class XSDPackagePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
                  org.eclipse.emf.converter.ui.contribution.base.ModelConverterPackagePage
                      org.eclipse.emf.importer.ui.contribution.base.ModelImporterPackagePage
                          org.eclipse.xsd.ecore.importer.ui.XSDPackagePage

All Implemented Interfaces:
  IModelImporterPage, IDialogPage, IMessageProvider, IWizardPage, Listener

    public class XSDPackagePage

extends ModelImporterPackagePage

Since:
  2.3.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`ModelConverterPage.PageDiagnosticHandler`

Field Summary

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPackagePage
`ePackageDataTableColumn, ePackagesCheckboxTableViewer, filteredEPackages, isCellEditing, referencedGenModelsCheckboxTreeViewer, showReferencedGenModels`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`CAUSE_BACK, CAUSE_CANCEL, CAUSE_FINISH, CAUSE_NEXT, CAUSE_UNKNOWN, forwardDirection, handlingEvent, modelConverter, neverVisible, pageDiagnosticHandler`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`XSDPackagePage(ModelImporter modelImporter, java.lang.String pageName)`

Method Summary
`protected boolean` `supportsNestedPackages()`

Methods inherited from class org.eclipse.emf.importer.ui.contribution.base.ModelImporterPackagePage
`addReferencedGenModels, adjustEPackagesTableViewer, checkEcoreFileNames, getEPackageData, getEPackageDataColumnLabel, getLabel, getModelImporter, getPackagesLabel, setEPackageData, validate, validateEcoreModelFileName, validateEPackageData`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPackagePage

`addEPackagesTableColumns, addExternalGenModels, addReferencedGenModelsTreeCheckStateManager, addReferencedGenModelsTreeColumns, adjustReferencedGenModelsTreeViewer, createControl, createEPackageDataColumnTableEditor, createEPackagesTableEditor, createPackageControl, createReferencedGenModelControl, dispose, ePackageCheckStateChanged, filterEPackagesTable, getAddButtonLabel, getBrowseButtonLabel, getCheckedEPackages, getCheckedReferencedGenPackages, getDeselectAllLabel, getEPackageColumnLabel, getEPackageImage, getEPackagesTableViewerContentProvider, getEPackagesTableViewerLabelProvider, getLabel, getLabel, getReferencedGenModelsLabel, getReferencedGenModelsTreeViewerContentProvider, getReferencedGenModelsTreeViewerLabelProvider, getReferencedGenPackagesToCheck, getSelectAllLabel, getSelectGenModelDialogMessage, isPageComplete, pageActivated, referencedGenModelsAddSelected, referencedGenModelsBrowseSelected, referencedGenModelsCheckboxTreeViewerCheckStateChanged, setShowReferencedGenModels, showReferencedGenModels`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`doHandleEvent, getModelConverter, getNextPage, getPreviousPage, handleDiagnostic, handleDiagnostic, handleEvent, isHandlingEvent, pageDeactivated, setHandlingEvent`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizardPage
`canFlipToNextPage, getName, getNextPage, getPreviousPage, getWizard, isPageComplete, setPreviousPage, setWizard`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### XSDPackagePage

    public XSDPackagePage(ModelImporter modelImporter,
                          java.lang.String pageName)

Parameters:
  `modelImporter` -
  `pageName` -

Method Detail

### supportsNestedPackages

    protected boolean supportsNestedPackages()

  Overrides:
    `supportsNestedPackages` in class `ModelConverterPackagePage`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.